---
title: "AI Service Health Check"
description: "Check AI service availability and feature status"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › AI

`GET /api/notes/health`

Check AI service availability and feature status

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.channelautomation.com/api/notes/health
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/notes/health';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/notes/health"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Service is healthy

#### Example

```json
{
  "success": true,
  "service": "notes-ai-processor",
  "timestamp": "2025-07-29T14:32:52.854Z",
  "features": {
    "generate_content": true,
    "enhance_content": true,
    "summarize_content": true,
    "expand_content": true
  }
}
```

- `success` (`get/api/notes/health.response.200.success`; boolean, optional)
  - example `true`
- `service` (`get/api/notes/health.response.200.service`; string, optional)
  - example `"notes-ai-processor"`
- `timestamp` (`get/api/notes/health.response.200.timestamp`; string, optional)
  - format `date-time`; example `"2025-07-29T14:32:52.854Z"`
- `features` (`get/api/notes/health.response.200.features`; object, optional)
  - `generate_content` (`get/api/notes/health.response.200.features.generate_content`; boolean, optional)
    - example `true`
  - `enhance_content` (`get/api/notes/health.response.200.features.enhance_content`; boolean, optional)
    - example `true`
  - `summarize_content` (`get/api/notes/health.response.200.features.summarize_content`; boolean, optional)
    - example `true`
  - `expand_content` (`get/api/notes/health.response.200.features.expand_content`; boolean, optional)
    - example `true`


Source: https://developer.channelautomations.com/api/get-api-notes-health/index.md
